SWITCH_ROOT(8)

BEZEICHNUNG
switch_root - zu einem anderen Dateisystem als Wurzel des Einhängebaums wechseln

ÜBERSICHT

switch_root [-hV]

switch_root newroot init [Argumente...]

BESCHREIBUNG

switch_root verschiebt bereits eingehängte /proc-, /dev-, /run- und /sys-Verzeichnisse nach newroot, legt dieses als neues Wurzeldateisystem fest und startet den init-Prozess.

WARNUNG: switch_root entfernt rekursiv alle Dateien und Verzeichnisse im aktuellen Wurzeldateisystem.

OPTIONEN

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

switch_root gibt 1 bei Fehlschlag zurück; bei Erfolg kehrt es nicht zurück.

ANMERKUNGEN

switch_root wird scheitern, wenn newroot nicht die Wurzel eines Einhängepunkts ist. Wenn Sie in ein Verzeichnis wechseln wollen, das diese Anforderung nicht erfüllt, können Sie vorher einen bind-basierten Trick beim Einhängen anwenden, um ein Verzeichnis in einen Einhängepunkt umzuwandeln:

    mount --bind $DIR $DIR

AUTOREN

SIEHE AUCH

chroot(2), init(8), mkinitrd(8), mount(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl switch_root ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.